aboutsummaryrefslogtreecommitdiff
path: root/bin/rfcr
diff options
context:
space:
mode:
Diffstat (limited to 'bin/rfcr')
-rwxr-xr-xbin/rfcr9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/rfcr b/bin/rfcr
index a11457a9..74488c8c 100755
--- a/bin/rfcr
+++ b/bin/rfcr
@@ -1,7 +1,14 @@
#!/bin/sh
+# Figure out RFC number
+self=rfcr
+if ! [ "$1" ] ; then
+ printf >&2 '%s: Need an RFC number\n' "$self"
+ exit 2
+fi
+rn=$1
+
# Retrieve the RFC with rfcf(1)
-rn=${1?Need an RFC number}
rfcf "$rn" |
# Pipe it through rfct(1) to format it as text